This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 240784 - cannot create users with an @ in the userid
cannot create users with an @ in the userid
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: shadow-utils (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-21 12:48 EDT by Benjamin LaHaise
Modified: 2008-05-07 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-07 11:38:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
accept @ in userids in shadow-utils (442 bytes, patch)
2007-05-21 12:48 EDT, Benjamin LaHaise
no flags Details | Diff

  None (edit)
Description Benjamin LaHaise 2007-05-21 12:48:09 EDT
Attempting to create a user with the userid foo@bar.com via adduser is rejected
as being an invalid userid.  Userids with @ in them are required for hosting
applications where mailboxes for many domains are hosted using dovecot,
saslauthd and postfix.  A simple patch to accept these ids is attached.
Comment 1 Benjamin LaHaise 2007-05-21 12:48:09 EDT
Created attachment 155112 [details]
accept @ in userids in shadow-utils
Comment 2 Peter Vrabec 2008-05-07 11:38:35 EDT
I'm sorry I can't accept this change. usernames should follow POSIX standards 
or at least some RHEL conventions. You can propose this change on fedora-devel 
mailing-list and if there is some consensus about it, I'm free to commit the 
patch.

Note You need to log in before you can comment on or make changes to this bug.